%define upstream_name pybind11

Name:           python-%{upstream_name}
Version:        2.9.2
Release:        %mkrel 1
Summary:        Seamless operability between C++11 and Python
License:        BSD
Group:          Development/Python
URL:            https://github.com/pybind/pybind11
Source0:        https://github.com/pybind/pybind11/archive/v%{version}/pybind11-%{version}.tar.gz
BuildArch:      noarch

%description
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     python3-%{upstream_name}
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     pybind11-devel
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/C++
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(eigen3)
Requires:       cmake

%description -n pybind11-devel
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

This package contains the C++ headers.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%cmake -DPYBIND11_INSTALL:BOOL=TRUE \
       -DUSE_PYTHON_INCLUDE_DIR:BOOL=FALSE
%cmake_build

%py3_build

%install
%cmake_install

PYBIND11_USE_CMAKE=true \
%py3_install

%files -n pybind11-devel
%{_bindir}/pybind11-config
%{_includedir}/pybind11/
%{_datadir}/cmake/pybind11/

%files -n python3-%{upstream_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Sat Jul 23 2022 papoteur <papoteur> 2.9.2-1.mga9
+ Revision: 1870551
- new 2.9.2

* Sun Apr 03 2022 umeabot <umeabot> 2.9.0-3.mga9
+ Revision: 1841758
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 neoclust <neoclust> 2.9.0-2.mga9
+ Revision: 1774019
- Rebuild for python 3.10

* Mon Jan 03 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1766385
- new version 2.9.0

* Wed Mar 17 2021 wally <wally> 2.6.2-1.mga9
+ Revision: 1704029
- new version 2.6.2

* Wed Mar 17 2021 daviddavid <daviddavid> 2.6.1-3.mga9
+ Revision: 1704027
- rebuild for python 3.9

* Fri Dec 25 2020 wally <wally> 2.6.1-2.mga8
+ Revision: 1663642
- honor system CFLAGS when building Pybind11Extension

* Thu Dec 24 2020 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1663515
- new version: 2.6.1

* Wed Apr 01 2020 daviddavid <daviddavid> 2.5.0-1.mga8
+ Revision: 1562959
- new version: 2.5.0

* Fri Feb 21 2020 umeabot <umeabot> 2.4.3-3.mga8
+ Revision: 1547793
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 2.4.3-2.mga8
+ Revision: 1488396
- enable cmake support

* Mon Feb 10 2020 daviddavid <daviddavid> 2.4.3-1.mga8
+ Revision: 1488372
- new version: 2.4.3

* Wed Sep 25 2019 daviddavid <daviddavid> 2.2.4-2.mga8
+ Revision: 1445697
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 2.2.4-1.mga7
+ Revision: 1353516
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1289763
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 buchan <buchan> 2.2.2-1.mga7
+ Revision: 1236788
- imported package python-pybind11

